ASIN(3)

NAME
asin, asinf - arc sine functions

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
asin(double x);
float
asinf(float x);

DESCRIPTION
The asin() and the asinf() functions compute the principal value of the arc sine of x. A domain error occurs for arguments not in the range [-1, +1]. For a discussion of error due to roundoff, see math(3).

RETURN VALUES
The asin() and the asinf() functions return the arc sine in the range [-/2, +/2] radians. If:

    |x| > 1

asin(x) raises an invalid exception and returns an .

SEE ALSO
acos(3), atan(3), atan2(3), cos(3), cosh(3), fenv(3), math(3), sin(3), sinh(3), tan(3), tanh(3)

STANDARDS
The asin() function conforms to isoC.